import 'package:flutter/material.dart';
import 'package:herocustomclipper/herocustomclipper.dart';

Color orangeDarkColor = Color(0xFFF74A26);
Color orangeLightColor = Color(0xFFF7C261);

void main() => runApp(MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Hero CustomClipper',
      home: HomeScreen(),
    ));

class HomeScreen extends StatefulWidget {
  @override
  _HomeScreenState createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body:Center(child: 
      ClipPath(
          clipper: Herocustomclipper(20.0),
          child: Container(
            width: MediaQuery.of(context).size.width * 0.86,
            height: MediaQuery.of(context).size.height * 0.48,
            decoration: BoxDecoration(
                gradient: LinearGradient(
              colors: [orangeLightColor, orangeDarkColor],
              begin: Alignment.bottomLeft,
              end: Alignment.topRight,
            )),
          ),
        ),),
    );
  }
}
