import 'package:flutter/material.dart';

class Herocustomclipper extends CustomClipper<Path>{
  double borderRadius;

  Herocustomclipper(this.borderRadius);

  @override
  Path getClip(Size size) {
   var path = new Path();
    path.lineTo(size.width - borderRadius, 0.0);
    path.quadraticBezierTo(size.width, 0.0, size.width, borderRadius);
    path.lineTo(size.width, size.height - borderRadius);
    path.quadraticBezierTo(
        size.width, size.height, size.width - borderRadius, size.height);
    path.lineTo(borderRadius, size.height);
    path.quadraticBezierTo(0.0, size.height, 0.0, size.height - borderRadius);
    path.lineTo(0.0, size.height * 0.15 + borderRadius);

    path.quadraticBezierTo(0.0, (size.height * 0.15), borderRadius,
        size.height * 0.15 - (borderRadius * 0.25));

    path.lineTo(size.width - borderRadius, 0.0);
    return path;
  }

  @override
  bool shouldReclip(CustomClipper<Path> oldClipper) {
    // TODO: implement shouldReclip
    return null;
  }
}
